## org.apache.mahout.math
Class MatrixSlice

    java.lang.Object
      org.apache.mahout.math.DelegatingVector
          org.apache.mahout.math.MatrixSlice

All Implemented Interfaces:
  Cloneable, Vector

    public class MatrixSlice

extends DelegatingVector

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.math.Vector
`Vector.Element`

Field Summary

Fields inherited from class org.apache.mahout.math.DelegatingVector
`delegate`

Constructor Summary
`MatrixSlice(Vector v, int index)`

Method Summary
`int` `index()`
`Vector` `vector()`

Methods inherited from class org.apache.mahout.math.DelegatingVector

`aggregate, aggregate, all, asFormatString, assign, assign, assign, assign, assign, assign, clone, cross, divide, dot, equals, get, getDistanceSquared, getElement, getIteratorAdvanceCost, getLengthSquared, getLookupCost, getNumNondefaultElements, getNumNonZeroElements, getQuick, getVector, hashCode, incrementQuick, invalidateCachedLength, isAddConstantTime, isDense, isSequentialAccess, like, logNormalize, logNormalize, maxValue, maxValueIndex, mergeUpdates, minus, minValue, minValueIndex, nonZeroes, norm, normalize, normalize, plus, plus, set, setQuick, size, times, times, toString, viewPart, zSum`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatrixSlice

    public MatrixSlice(Vector v,
                       int index)

Method Detail

### vector

    public Vector vector()

### index

    public int index()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.